Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.impl.expression.parsers
Class ExpressionFilterAnnotationParser

    java.lang.Object
      org.mule.impl.expression.parsers.ExpressionFilterAnnotationParser

All Implemented Interfaces:
  RouterAnnotationParser

    public class ExpressionFilterAnnotationParser

extends Object
implements RouterAnnotationParser

Responsible for converting a `ExpressionFilter` annotation to a `ExpressionFilter` instance for use on an inbound channel.

Constructor Summary
`ExpressionFilterAnnotationParser()`

Method Summary
`Router` | `parseRouter(Annotation annotation)` Will create a Mule Router according to the annotation.
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Determines whether this parser can process the current annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionFilterAnnotationParser

    public ExpressionFilterAnnotationParser()

Method Detail

### parseRouter

    public Router parseRouter(Annotation annotation)
                       throws MuleException

  Description copied from interface: `RouterAnnotationParser`
  Will create a Mule Router according to the annotation. Note that the annotation must itself be annotated with the `Router` annotation.

  Specified by:
    `parseRouter` in interface `RouterAnnotationParser`
  Parameters:
    `annotation` - the current annotation being processed
  Returns:
    a new Router configuration based on the current annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

### supports

    public boolean supports(Annotation annotation,
                            Class clazz,
                            Member member)

  Description copied from interface: `RouterAnnotationParser`
  Determines whether this parser can process the current annotation. The clazz and member params are passed in so that further validation be done on the location, type or name of these elements.

  Specified by:
    `supports` in interface `RouterAnnotationParser`
  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. This is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class member, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.